#
# spec file for package hal-doc (Version 0.5.9_git20070831)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit ConsoleKit-devel Mesa PolicyKit PolicyKit-devel aaa_base acl attr audit-libs audit-libs-32bit autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-utils docbook-xsl-stylesheets docbook_3 docbook_4 doxygen e2fsprogs-devel fdupes file filesystem fillup findutils fontconfig freetype2 gawk gcc gcc42 gd gdbm gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz gperf grep groff gtk-doc gzip html-dtd info insserv intltool iso_ent jadetex less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgimpprint libgomp42 libgpg-error libjpeg libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libpng libreadline5 libsmbios-devel libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libvolume_id-devel libxcrypt libxcrypt-32bit libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openjade openldap2-client opensp openssl-certs pam pam-32bit pam-config pam-modules parted parted-devel passivetex patch pciutils pciutils-devel pcre pcre-devel perl perl-SGMLS perl-Tk perl-XML-Parser perl-base permissions pkg-config poppler popt popt-devel pwdutils python python-devel rpm sed sgml-skel sqlite sysvinit t1lib tar texinfo texlive texlive-bin texlive-bin-latex texlive-latex timezone update-desktop-files util-linux xaw3d xmltex xmlto xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxcb xorg-x11-libxkbfile zlib zlib-devel

Name:           hal-doc
%define         build_doc 1
# WARNING: If you are editing hal-doc.spec, STOP. Always edit
# hal.spec and then run pre-checkin.sh which will create
# hal-doc.spec based upon hal.spec.
Summary:        Daemon for Collecting Hardware Information
%define 	dbus_version 0.61
%define         dbus_release 1
%define         hal_info_version 20070831
Url:            http://freedesktop.org/Software/hal
License:        Other uncritical OpenSource License
Group:          System/Daemons
Version:        0.5.9_git20070831
Release:        15.2
AutoReqProv:    on
Requires:       pm-utils
BuildRequires:  ConsoleKit-devel PolicyKit-devel dbus-1-glib-devel glib2-devel gperf intltool libexpat-devel libusb libusb-devel libvolume_id-devel parted parted-devel pciutils pciutils-devel perl-XML-Parser popt-devel python-devel update-desktop-files
%ifarch %ix86 x86_64
BuildRequires:  libsmbios-libs >= 0.13.4
BuildRequires:  libsmbios-devel >= 0.13.4
#!BuildIgnore:  pciutils-ids
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
Obsoletes:      hal-gnome
%endif
#
%if %build_doc
BuildRequires:  docbook-utils doxygen gtkdoc html-dtd xmlto
Provides:       hal:/usr/share/doc/packages/hal/README
%else
PreReq:         /usr/sbin/groupadd /usr/sbin/useradd /etc/init.d/boot.localfs
PreReq:         %insserv_prereq
Requires:       dbus-1 >= %{dbus_version}-%{dbus_release}, dbus-1-glib >= %{dbus_version}-%{dbus_release}, aaa_base, PolicyKit, ConsoleKit, pm-utils
Provides:       hotplugctl = 0.08
Obsoletes:      hotplugctl <= 0.08
%ifarch %ix86 x86_64 ia64
Requires:       pmtools, libsmbios-libs >= 0.13.4
%endif
%ifarch %ix86 x86_64 
Requires:       setserial
%endif
%endif
#
# Sources:
Source0:        hal-%{version}.tar.bz2
Source1:        hal-info-%{hal_info_version}.tar.bz2
Source2:        rc.hal
Source3:        90-hal.rules
Source4:        pre-checkin.sh
Source50:       hal-doc-rpmlintrc
Source60:       hal-rpmlintrc
# SUSE specific patches
Patch0:         hal-add-tabletPC_support_v4.diff
Patch1:         hal-panasonic-acpi-suse.diff
Patch2:         hal-allow_uid_for_ntfs.diff
Patch3:         hal-fix-storage-policy-fixed-drives.diff
# SUSE specific temporary patches
Patch10:        hal-add-standby-support.diff
# submitted (or planed to do in next time) upstream patches
Patch100:       hal-fix-util_compute_time_remaining_warning_highTime.diff
Patch101:       hal-fix-acpi_on_battery_discharging.diff
Patch102:       hal-fix-prevent_eject_method_for_dm-devices.diff
Patch103:       hal-add-ThinkPadAcpiEvent_killswitch.diff
Patch104:       hal-access-deleted-memory.diff
Patch105:       hal-macbook-x86_64.diff
Patch106:       hal-fix-memory-leaks.diff
Patch107:       hal-fix-dellWirelessCtl_0.13.12.diff
Patch108:       hal-backport-fix-int_outof_4a75be3c.diff
Patch109:       hal-fix-segfault_singleton.diff
Patch110:       hal-fix-dont_add_pci_device_without_pciID.diff
Patch111:       hal-fix-addon-storage_state_for_floppy.diff
Patch112:       hal-fix-segfault_on_cache_recreation.diff
Patch113:       hal-fix-percentage_on_empty_battery.diff
Patch114:       hal-fix-usb_csr_battery_fd.o5865.diff
Patch115:       hal-fix-input-addon-fd-leak.diff
# backports from git HEAD:
Patch200:       hal-backport-split-luks-policy.diff
# revert from HEAD:
Patch250:       hal-revertHEAD-update-to-work-with-PolicyKit-HEAD.diff
Patch251:       hal-revert-returnvalues_from_int_to_uint.diff
Patch252:       hal-fix-storage-policy-extra-options.diff 
# hal-info related patches:
#Patch300:       hal-info-.diff
# currently unused patches:
Patch500:       hal-cleanup-deprecated_libhal-storage.diff
# temporary debug patche
#Patch1000:       hal-temp.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#

%description
HAL is a hardware abstraction layer and aims to provide a live list
ofdevices present in the system at any point in time. HAL tries to
understand both, physical devices (such as PCI and USB) and the device
classes (such as input, net, and block) physical devices have. Besides
it allows merging of information from device info files specific to a
device. HAL provides a network API through D-BUS for querying devices
and notifying when things change. Finally, HAL provides some monitoring
(in an unintrusive way) of devices. Presently, ethernet link detection
and volume mounts aremonitored. For further information, please refer
to the	HAL specification.



Authors:
--------
    Danny Kukawka <danny.kukawka@web.de>
    Kay Sievers <kay.sievers@vrfy.org>
    Joe Shaw <joeshaw@novell.com>
    David Zeuthen <david@fubar.dk>

%debug_package
%if ! %build_doc

%package -n hal-devel
Summary:        Developer package for HAL
Requires:       %{name} = %{version}-%{release}, dbus-1-devel >= %{dbus_version}-%{dbus_release}, dbus-1-glib-devel >= %{dbus_version}-%{dbus_release}
%if 0%{?suse_version} > 1020
Requires:       libext2fs-devel, libblkid-devel, libuuid-devel, libcom_err-devel, libusb-devel
%else
Requires:       e2fsprogs-devel
%endif
AutoReqProv:    on
Group:          Development/Libraries/Other
#

%description -n hal-devel
HAL is a hardware abstraction layer and aims to provide a live list of
devices present in the system at any point in time. HAL tries to
understand both physical devices (such as PCI, USB) and the device
classes (such as input, net and block) physical devices have, and it
allows merging of information from so called device info files specific
to a device.

HAL provides a network API through D-BUS for querying devices and
notifying when things change. Finally, HAL provides some monitoring (in
an unintrusive way) of devices, presently ethernet link detection and
volume mounts are monitored.

This, and more, is all described in the HAL specification



Authors:
--------
    Danny Kukawka <danny.kukawka@web.de>
    Kay Sievers <kay.sievers@vrfy.org>
    Joe Shaw <joeshaw@novell.com>
    David Zeuthen <david@fubar.dk>

%endif

%prep
%setup -n hal-%{version} -a1
chmod 644 tools/hal-functions
# patch hal package if needed
%patch250 -p1 -R
%patch251 -p1 
%patch0   -p1
%patch1   -p0
%patch2   -p1
%patch3   -p0
%patch10  -p0
%patch100 -p1
%patch101 -p1
%patch200 -p1
%patch102 -p1
%patch252 -p1
%patch105 -p0
%patch103 -p1
%patch104
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
#%patch1000 -p1
# patch hal-info package if needed
pushd hal-info-%{hal_info_version}
#%patch300 -p1
popd

%build
export CFLAGS="${RPM_OPT_FLAGS} -fstack-protector"
export CXXFLAGS="${RPM_OPT_FLAGS} -fstack-protector"
autoreconf -fi
%configure 							\
	--libexecdir=%{_libexecdir}/hal				\
	--with-init-scripts=suse 				\
	--with-hwdata=/usr/share 				\
	--with-pid-file=/var/run/hal/haldaemon.pid 		\
	--with-dbus-sys=/etc/dbus-1/system.d 			\
	--with-hal-user=haldaemon 				\
	--with-hal-group=haldaemon 				\
	--docdir=%{_datadir}/doc/packages/hal			\
        --with-html-dir=%{_datadir}/doc/packages/hal/html	\
	--with-eject=/bin/eject					\
	--enable-acpi-acpid					\
	--disable-acpi-proc					\
	--enable-acpi-ibm					\
	--enable-acpi-toshiba 					\
	--enable-parted						\
        --enable-console-kit					\
%if %build_doc
	--enable-gtk-doc					\
	--enable-docbook-docs 					\
	--enable-doxygen-docs					\
%endif
	--enable-policy-kit
make %{?jobs:-j%jobs}
pushd hal-info-%{hal_info_version}
%configure 							\
	--disable-recall					\
	--enable-killswitch-ipw-wlan
popd

%install
#install hal
%makeinstall
%if %build_doc
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/packages/hal
install -m 644 {README,AUTHORS,ChangeLog,COPYING,NEWS} $RPM_BUILD_ROOT/%{_datadir}/doc/packages/hal/
%endif
#install hal-info
pushd hal-info-%{hal_info_version}
%makeinstall
popd
%if %build_doc
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT/%{_sbindir}
rm -rf $RPM_BUILD_ROOT/%{_bindir}
rm -rf $RPM_BUILD_ROOT/%{_mandir}
rm -rf $RPM_BUILD_ROOT/%{_libdir}
rm -rf $RPM_BUILD_ROOT/%{_includedir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/hal
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT/%{_datadir}/PolicyKit
rm -rf $RPM_BUILD_ROOT/%{_localstatedir}
%else
mkdir -p $RPM_BUILD_ROOT/etc/hal
mkdir -p $RPM_BUILD_ROOT/etc/dbus-1/system.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/device-manager
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/scripts
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/haldaemon
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/90-hal.rules
ln -sf %{_sysconfdir}/init.d/haldaemon $RPM_BUILD_ROOT/%{_sbindir}/rchal
#rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
install -d $RPM_BUILD_ROOT/%{_localstatedir}/run/hal
install -d $RPM_BUILD_ROOT/%{_localstatedir}/cache/hald
rm -f $RPM_BUILD_ROOT/etc/hotplug.d/default/20-hal.hotplug
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/packages/hal/
%endif
%if 0%{?suse_version} > 1020
%fdupes %{buildroot}
%endif

%clean
rm -rf %{buildroot}
%if %build_doc

%files
%defattr(-, root, root)
%dir %{_datadir}/doc/packages/hal
%{_datadir}/doc/packages/hal/*
#
%else
#

%pre
if
  getent group haldaemon >/dev/null
then
  : OK group haldaemon already present
else
  /usr/sbin/groupadd -r haldaemon 2>/dev/null || :
fi
if
  getent passwd haldaemon >/dev/null
then
  : OK haldaemon user already present
else
  /usr/sbin/useradd -r -g haldaemon -c "User for haldaemon" \
        -d /var/run/hal -o haldaemon 2>/dev/null || :
fi

%preun
%{stop_on_removal haldaemon}

%post
%{insserv_force_if_yast haldaemon}
/sbin/ldconfig

%postun
%{restart_on_update haldaemon}
%{insserv_cleanup}
/sbin/ldconfig

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_sysconfdir}/hal
%dir %{_sysconfdir}/init.d/haldaemon
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%dir %{_libdir}/hal
%config %{_sysconfdir}/dbus-1/system.d/hal.conf
%{_sysconfdir}/hal/*
%{_sysconfdir}/udev/rules.d/90-hal.rules
%{_bindir}/*
%{_datadir}/hal/fdi/*
%{_datadir}/PolicyKit/policy/*
%{_libdir}/*hal*.so.*
%{_libexecdir}/hal/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_sbindir}/hal*
%{_sbindir}/rchal
%attr(-,haldaemon,haldaemon) %{_localstatedir}/run/hal
%attr(-,haldaemon,haldaemon) %{_localstatedir}/cache/hald

%files -n hal-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%endif

%changelog
* Wed Jan 30 2008 - dkukawka@suse.de
- added new patches:
  - hal-fix-memory-leaks.diff: fix memory leaks caused by not
  free'd GSList objects
  - hal-fix-dellWirelessCtl_0.13.12.diff: added support for the
  new libsmbios v0.13.12 where the binaries are moved from
  /usr/bin to /usr/sbin
  - hal-backport-fix-int_outof_4a75be3c.diff: fix not working
  int_outof fdi-file directive (b.n.c #339309), git-backported
  - hal-fix-dont_add_pci_device_without_pciID.diff: don't add pci
  devices which don't have a PCI vendor or product ID
  - hal-fix-segfault_singleton.diff:  backported from git master to
  fix possible segfault
  - hal-fix-addon-storage_state_for_floppy.diff: fix the init
  media detection state for e.g. case if a floppy was already in
  the USB floppy device as the device get attached
  - hal-fix-segfault_on_cache_recreation.diff: fix segfault if the
  fdi-cache get generated new while HAL is running.
  (b.n.c #344231)
  - hal-fix-percentage_on_empty_battery.diff: if current charge
  level is 0 the battery is empty! (b.n.c #347219)
  - hal-fix-usb_csr_battery_fd.o5865.diff: don't set percentage
  if level is 0 (means battery not present) (fd.o #5865)
  - hal-fix-input-addon-fd-leak.diff: close also channel if device
  get removed (b.n.c #344872)
- updated patch:
  - hal-add-tabletPC_support_v4.diff: added detection of FPI2002
  serial devices as TabletPCs (should hit HP Compaq TC1000)
* Thu Sep 20 2007 - dmueller@suse.de
- fix kded crashes, part one (#326488)
* Thu Sep 20 2007 - ro@suse.de
- make sure macbook addons are built on x86_64 as well (#325811)
* Mon Sep 10 2007 - dkukawka@suse.de
- added new patches:
  - hal-add-ThinkPadAcpiEvent_killswitch.diff: forward ACPI event
  for the killswitch (solve #302539 for ThinkPads to send a
  notification)
* Mon Sep 03 2007 - dkukawka@suse.de
- backported from git HEAD:
  - split LUKS policies into own for removable/fixed media
  (to fix b.n.c #306694)
  - revert commit #7b159b55: return INT32 from addons and scripts
  to fit the SPEC (need also fixes in KPowersave and powersaved)
- added new patches:
  - hal-fix-storage-policy-extra-options.diff: add needed policies
  for uid= mount option back to HAL (b.n.c #305978)
  - hal-fix-prevent_eject_method_for_dm-devices.diff: don't add
  eject method for dm-mapper devices, call eject on them is
  not possible (part of #306641)
* Fri Aug 31 2007 - dkukawka@suse.de
- updated hal/hal-info to current git (20070831):
  - include patch for b.n.c #303861 (handle device mapper volumes
  on LUKS handling)
  - suspend quirks and new keymaps in hal-info
- updated patches:
  - hal-add-tabletPC_support_v3.diff: removed not needed popt code
  this tool get only called by hal without any parameter, fix
  settings for FPI2004 gateway devices, they need baud_base and
  autoconfig as setserial paramater (see bug #304396)
* Wed Aug 29 2007 - dkukawka@suse.de
- updated hal/hal-info to current git (20070829)
  - reduced size of fdi-files in hal-info due to usage of new
  *_outof fdi match directives by 60KB
- removed upstream gone patches:
  - hal-add_soundcard_fix_device_file_handling_v2.diff
  - hal-fix-strlist_changeset_handling.diff
  - hal-fix-fd.o_10399_burn_speeds.diff
  - hal-fix-MERGE_indirections.diff
  - hal-fix-preappend_copyProperty_indirections.diff
  - hal-fix-libhal_parameter_checks.diff
  - hal-fix-pmu.diff
  - hal-info-fix_brightness_in_hardware_ThinkPad.diff
- removed no longer needed patches (former backported from HEAD):
  - hal-fix-use_direct_connection_if_available.diff
  - hal-fix-linux_dvd_rw_utils.diff
- added new patch:
  - hal-revertHEAD-update-to-work-with-PolicyKit-HEAD.diff
  (revert changes made on HEAD due to PolicyKit git HEAD)
* Mon Aug 27 2007 - dkukawka@suse.de
- added new patches:
  - hal-fix-MERGE_indirections.diff: fix indirections in FDI file
  <merge> directives
  - hal-fix-preappend_copyProperty_indirections.diff: fix also
  indirections in the prepend/append copy_property directives
  - hal-fix-libhal_parameter_checks.diff: add some more parameter
  checks into libhal functions
  - hal-info-fix_brightness_in_hardware_ThinkPad.diff: set the key
  brightness_in_hardware for all Lenovo ThinkPad to 'true'
- added from git HEAD backported patches:
  - hal-fix-use_direct_connection_if_available.diff: try to use
  existing connection to HAL to avoid NameOwnerChanged signals
  because of NM's excessive calls into GetPower()
  - hal-fix-linux_dvd_rw_utils.diff: handle renaming of
  SG_FLAG_LUN_INHIBIT to SG_FLAG_UNUSED_LUN_INHIBIT in sg.h
  - hal-fix-pmu.diff: fix directory path to /proc/pmu
- fixed bugs:
  - b.n.c #205399: FDI file indirections
  - b.n.c #304715: add more parameter checks in libhal
  - b.n.c #304886: fix brightness_in_hardware for IBM
  - b.n.c #304972: fix PMU/PPC battery handling
* Fri Aug 24 2007 - dkukawka@suse.de
- updated hal/hal-info to current git (20070824):
  - fixed reported bugs: b.n.c #303834, #303855
  - new keymaps for 6 HP and 3 Acer machines and other (hal-info)
  - suspend quirk for Lenovo Z61t and Acer TM 250 (hal-info)
- added new patches:
  - hal-fix-fd.o_10399_burn_speeds.diff: update available burn
  speed of CD/DVD writer with each media change
  - hal-fix-strlist_changeset_handling.diff: fix handling of
  strlist changeset calls via libhal. Only emit one signal about
  changed property for each call and not each changed list entry,
  fixed possible crash in libhal_changeset_set_property_strlist()
- removed upstream gone patches:
  - hal-fix-computer_probing_v2.diff
  - hal-allow_uid_gid_on_hfs_v2.diff
- fixed patches:
  - hal-add-tabletPC_support_v2.diff: set baud_base correct for the
  setserial command, FPI2004 devices don't need baud_base anymore
  (b.n.c #304388, #304396)
- added ConsoleKit to Requires and setserial to Requires for *x86
  needed for TabletPCs
* Thu Aug 16 2007 - dkukawka@suse.de
- updated hal/hal-info to current git (20070816)
- removed upstream gone patches:
  - hal_remove_sysfs_and_proc_helpers_v2.diff
- added new patches:
  - hal-fix-computer_probing_v2.diff: fix detection if machine is
  a laptop, but dmidecode return something other
- fixed bugs:
  - b.n.c #300539: obsolete hal-gnome for > 10.2
  - detect again pci.vendor_id
* Tue Aug 07 2007 - dkukawka@suse.de
- updated hal/hal-info to current git ()
- removed upstream gone patches:
  - hal-cleanup_acpi-addon_DBusError_handling_v2.diff
  - hal-fix-asprintf-compilerwarning.diff
  - hal-fix-DellBrightness-addon.diff
  - hal-fix-fd.o11290-get_ACPI_version.diff
- added new patches:
  - hal_remove_sysfs_and_proc_helpers_v2.diff: use now path to
  sysfs and proc hardcoded
- fixed hal-info package to activate WLAN killswitch fdi-files
* Mon Aug 06 2007 - dkukawka@suse.de
- removed patches:
  - hal-cleanup-deprecated_libhal-storage.diff :
  removed temporary patch for deprecated functions.
  NOTE: all deprecated functions shouldn't be used any longer
  they get removed as soon as possible! They are already
  marked as deprecated since 09/2006!
* Sat Aug 04 2007 - aj@suse.de
- Require ConsoleKit-devel.
* Sat Aug 04 2007 - coolo@suse.de
- fix devel requires
* Fri Aug 03 2007 - dkukawka@suse.de
  NOTE: package is currently untested (hal start and run, lshal work,
  rest untested), that's why it's in beta:
- updated HAL to current git trunk
- updated hal-info to current git trunk
- removed no longer needed patches:
  - hal-pedantic-headers.diff
  - hal-fix-SetPowerSave.diff
  - hal-update-libparted_check.diff
  - hal-fix-acpiIBM_brightness_up.diff
  - hal-fix-mount_options_vfat.diff
  - hal-fix-info.category_for_laptop_panel_v3.diff
- Updated/ported patches:
  - hal-add-standby-support.diff
  - hal-cleanup_acpi-addon_DBusError_handling_v2.diff
  - hal-fix-acpi_on_battery_discharging.diff
- added new patches:
  - hal-fix-asprintf-compilerwarning.diff
  - hal-fix-DellBrightness-addon.diff
  (stop addon if needed kernel module isn't loaded)
  - hal-fix-fd.o11290-get_ACPI_version.diff
  - hal-cleanup-deprecated_libhal-storage.diff
  (remove long time deprecated libhal-storage policy code)
- removed find_lang macro from spec file (there are no translations
  anymore)
- s/--with-doc-dir/--docdir/ and added --with-html-dir to get
  all doc stuff to %%{_datadir}/doc/packages/hal/
- removed polkit and added consolekit to 'Required-Start:' of the
  rc script, cleaned up the script
* Fri Jul 27 2007 - dkukawka@suse.de
- fixed bugs
  - b.n.c #274706: fixed typo in hal-fix-mount_options_vfat.diff
* Mon Jul 23 2007 - coolo@suse.de
- Ignore automaticly updated pciutils-ids to avoid suprising rebuilds
* Tue Jul 17 2007 - lrupp@suse.de
- use fdupes to reduce the package size
- add version information to provides/obsoletes
- put the package informations into the %%if tags
- cleanup %%prep section
- test existence of haldaemon user/group in %%pre
- add %%insserv_prereq to PreRequires
- use %%find_lang macro
- use more macros in %%install section
- rename hal-doc-fixup.sh to pre-checkin.sh
- removed obsolete hal-performance_pci.ids_v5.diff
* Wed Jun 13 2007 - seife@suse.de
- Adopt hal-panasonic-acpi-suse.diff to the updated kernel driver.
  Old kernels (10.1/10.2) will still work.
* Fri May 11 2007 - dkukawka@suse.de
- added new patches:
  - hal-fix-SetPowerSave.diff: fix SetPowerSave() return type
  - hal-update-libparted_check.diff: allow also libparted 1.8.7
  - hal-fix-acpi_on_battery_discharging.diff: fix broken ACPI
  batteries from b.n.c #258755
  - hal-fix-acpiIBM_brightness_up.diff: disable forward brightness
  up key event since this now also work via input-layer
  - hal-allow_uid_gid_on_hfs_v2.diff: allow gid=/uid= for removable
  media volumes with hfs filesystems, see b.n.c#232235
  - hal-fix-mount_options_vfat.diff: allow -o flush for vfat see
  b.n.c #230737
* Sat Apr 28 2007 - aj@suse.de
- Add libexpat-devel to buildrequires.
- Enable parallel build.
* Fri Apr 20 2007 - dmueller@suse.de
- fix headers to compile with -pedantic
* Wed Apr 18 2007 - ro@suse.de
- remove docu build (and docu) from main package to reduce
  build dependencies
- split off hal-doc.spec and create script to create
  hal-doc.spec from hal.spec
* Mon Apr 02 2007 - dkukawka@suse.de
- updated to actual HAL/hal-info git
- removed patches:
  - parted.patch
  - hal-fix-hal_device_manager_about_dialog.diff
  - hal-fix-eject_path.diff
  - hal-fix-configure-dell.diff
  - hal-add-IBMHotkey_Support_v2_incl_TabletPC.diff
  - hal-add-cdrom_capabilities.diff
  - hal-fix-power-privileges.diff
  - hal-revert-git-multisession.diff
  - hal-pci.diff
- updated patch:
  - hal-add_soundcard_fix_device_file_handling_v2.diff
- fixed bugs:
  - b.n.c #258800
  - b.n.c #255934
  - b.n.c #256270 (now fixed upstream via configure parameter)
* Mon Mar 26 2007 - dkukawka@suse.de
- updated to actual HAL/hal-info git (== 0.5.9rc2)
  - updated libsmbios dependencies
  - cleaned up configure options
- removed now upstream included patches:
  - hal-usb_speed_and_version_in_double.diff
  - hal-validate_error_name.diff
  - hal-add-alsa_midi_devices.diff
- updated patches:
  - hal-add-tabletPC_support_v2.diff
- added patches:
  - hal-fix-configure-dell.diff: enable Dell backlight addon also
  for x86_64
* Sat Mar 24 2007 - schwab@suse.de
- Fix quoting.
* Sat Mar 24 2007 - aj@suse.de
- Allow building against parted 1.8.6.
* Tue Mar 20 2007 - dkukawka@suse.de
- added patches:
  - hal-validate_error_name.diff: validate DBusError name and try
  to fix if there is output from stderr to avoid HAL call DIE()
  - hal-add-alsa_midi_devices.diff: added support for ALSA midi
  - hal-add_soundcard_fix_device_file_handling.diff: added alsa
  soundcard device from sysfs if available (kernel compiled with
  !CONFIG_SYSFS_DEPRECATED)
  - hal-cleanup_acpi-addon_DBusError_handling.diff: cleanup/remove
  unneeded dbus_error_init() calls
  - hal-fix-hal_device_manager_about_dialog.diff: show about dialog
  only one time
  - hal-fix-eject_path.diff: fix path to eject (b.n.c #256270)
* Thu Mar 15 2007 - dkukawka@suse.de
- fixed spec file
* Wed Mar 14 2007 - dkukawka@suse.de
- updated to actual HAL and hal-info git master:
  - this package include now fixes for there b.n.c bugs: #205669
  and #145416
- removed upstream gone patches:
  - hal-fix-compiler_warning_dell-addon.diff
  - hal-fix-compiler_warning_storage-cleanup-mountpoint.diff
  - hal-fix-compiler_warning_libhal.diff
  - hal-fix-compiler_warning_create_cache.diff
  - hal-fix-compiler_warning_UID_data_type.diff
  - hal-fix-libhal_validate_parameter_fd.o_bug10133_v2.diff
- added new patch:
  - hal-add-cdrom_capabilities.diff: add more information about
  cdrom devices and capabilities
* Sun Mar 11 2007 - ro@suse.de
- added Requires: e2fsprogs-devel to hal-devel
  (for libuuid used in libhal-storage)
* Fri Mar 09 2007 - dkukawka@suse.de
- fixed typo in spec file s/SOurce/Source/
- added patcheS:
  - fixed compiler warnings:
    - hal-fix-compiler_warning_dell-addon.diff
    - hal-fix-compiler_warning_storage-cleanup-mountpoint.diff
    - hal-fix-compiler_warning_libhal.diff
    - hal-fix-compiler_warning_create_cache.diff
    - hal-fix-compiler_warning_UID_data_type.diff
  - hal-fix-libhal_validate_parameter_fd.o_bug10133_v2.diff:
  validate library parameter if != NULL, return with error if not
  - hal-usb_speed_and_version_in_double.diff: Change the property
  for usb*.*_bcd from int as BCD to double as type
- updated patches:
  - hal-add-tabletPC_support_v2.diff: extended helper to call
  setserial with baud_rate parameter if needed, updated FDI file
  to call setserial only for devices which not setup correct by
  the kernel, added support for Gateway tablet PCs
* Wed Mar 07 2007 - sbrabec@suse.cz
- Updated BuildRequires: PolicyKit -> PolicyKit-devel.
* Mon Mar 05 2007 - dkukawka@suse.de
- updated to current git HEAD and included hal-info, install
  also NEWS/COPYING/Changelog ...
- removed upstream gone patches:
  * hal-configure.diff
  * hal-fix_blockdev_g_assert.diff
  * hal-fix-consider-nice-logic_223517.diff
  * hal-fix-cpufreq-add-capability.diff
  * hal-fix-dbus_error_is_set.diff
  * hal-fix-lcd_brightness_sonypi.diff
  * hal-fix-luks_do_not_sanitize_password.diff
  * hal-fix-merge-copy_property.diff
  * hal-fix-missformated_dbus_error.diff
  * hal-fix-mount_options.diff
  * hal-fix-mountpoint-hal_mtab_nonASCII.diff
  * hal-fix-path_eject_binary.diff
  * hal-fix-segfault_in_xenCode.diff
  * hal-fix-wireless_detection_rt2500pci.diff
  * hal-add-pm-utils-support.diff
  * hal-add-alsa_hw-specific_devices.diff
- removed no longer needed patches (wasn't used in 10.2):
  * hal-toport-mount_159475.diff
  * hal-toport-mount_device_fstab_with_user_option_172870.diff
- updated patches:
  * hal-add-tabletPC_support.diff
  * hal-add-standby-support.diff
- added new patches:
  * hal-fix-compiler_warning_create_cache.diff
  * hal-fix-compiler_warning_dell-addon.diff
  * hal-fix-compiler_warning_libhal.diff
  * hal-fix-compiler_warning_storage-cleanup-mountpoint.diff
  * hal-fix-compiler_warning_UID_data_type.diff
* Wed Feb 28 2007 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #249757: remove useless debug putput from marcro to
  avoid missformated DBusError
* Mon Feb 19 2007 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #242466: don't use g_strescape() for mount points in
  .hal-mtab
* Wed Jan 17 2007 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #222561: removed multisession code from HAL
  (hal-revert-git-multisession.diff)
  - b.n.c #223517: fix logic for consider nice in CPU Freq addon
  (hal-fix-consider-nice-logic_223517.diff) from hmacht@suse.de
  - b.n.c #224517: fixed get/set script parts for LCD brightness
  with sonypi/spicctrl (hal-fix-lcd_brightness_sonypi.diff)
  - fixed support for IBM ACPI hotkey events. Capture them now
  and emit related HAL events. This should allow e.g. KPowersave
  to react on sleep/s2disk buttons on IBM machines.
  (hal-add-IBMHotkey_Support_v2_incl_TabletPC.diff)
- removed unused patch: hal-back_to_dbus_0.6.0.diff
* Mon Nov 27 2006 - thoenig@suse.de
- fixed bugs:
  - b.n.c #223622: do not sanitize password for luks (update and
  renamed patch hal-fix-luks_sanitize_password.diff to
  hal-fix-luks_do_not_sanitize_password.diff)
* Fri Nov 24 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #223622: fix sanitize password for luks
  (hal-fix-luks_sanitize_password.diff)
* Fri Nov 24 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #223376/#223429: fixed seqfault if for a xen device the
  devtype file in sysfs is missing and set a default product key.
  (hal-fix-segfault_in_xenCode.diff)
  - b.n.c #220768: allow uid as mount option for ntfs partitions
  (hal-allow_uid_for_ntfs.diff)
  - b.n.c #221337: readded hal-fix-storage-policy-fixed-drives.diff
  to hide fixed storage devices
* Wed Nov 22 2006 - dkukawka@suse.de
- fixed bug:
  - b.n.c #223186: require pmutils only on x86, x86_64 and ia64
* Fri Nov 17 2006 - hmacht@suse.de
- load CPUFreq modules in initscript. HAL is the one needing these
  modules (novell bug 220682)
* Mon Nov 13 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-merge-copy_property.diff: fix b.n.c #218784
* Sun Nov 12 2006 - dkukawka@suse.de
- added patch:
  - hal-fix_blockdev_g_assert.diff: remove the only one g_assert()
  which kill the daemon and added code to check also tdl for
  the device or go to the error case instead of kill the daemon
  (see b.n.c #217563)
- fixed bugs:
  - b.n.c #216805: added hald to runlevel 2
* Tue Nov 07 2006 - dkukawka@suse.de
- added pmtools to Requires (need dmidecode)
- added patches:
  - hal-add-alsa_hw-specific_devices.diff: to show hardware
  specific sound devices in HAL. (see b.n.c #208695)
* Tue Nov 07 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-dbus_error_is_set.diff: since dbus_error_is_set(NULL)
  crash the library, added fix and check if error == NULL
* Mon Nov 06 2006 - hmacht@suse.de
- added patch:
  hal-fix-cpufreq-add-capability.diff: With new D-Bus
  package, you must not call dbus_error_is_set(NULL)
* Fri Nov 03 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-wireless_detection_rt2500pci.diff: fix for b.n.c bug
  [#217419]
  - hal-fix-path_eject_binary.diff: fixed path to eject binary
  b.n.c bug #214820 (temporary fix)
- removed upstream gone patches:
  - hal-fix-cpufreq-dbus-restart.patch
* Mon Oct 30 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #210297: added --datadir to spec file
  - b.n.c #214461: detect Ipod Nano2 correct
  - unreported: HAL show storage devices again
- updated patches:
  - hal-performance_pci.ids_v5.diff: adapted patch to current code,
  fixed code in search func and speed up the search
  - hal-add-tabletPC_support.diff: adapted to current code
  - hal-panasonic-acpi-suse.diff: updates from seife@suse.de
- removed patches:
  - hal-performance-properties*: they don't work anymore because
  of code changes in HAL ... maybe adapt them later
  - hal-do-not-close-shared-connection-thoenig-01.patch: removed
  upstream gone patch
- renamed patches we need to port from hal-fix-* hal-toport-*
* Sun Oct 29 2006 - hmacht@suse.de
- patch hal-add-pm-utils-support.diff:
  do it so that upstream will accept it
- patch hal-fix-cpufreq-dbus-restart.patch:
  fix the addon so that it properly survives D-Bus restarts
- Requires: pm-utils
* Mon Oct 23 2006 - hmacht@suse.de
- patch hal-add-pm-utils-support.diff:
  call pm-utils first, then try powersave if not available
- Recommends: pm-utils
* Mon Oct 16 2006 - thoenig@suse.de
- add patch hal-do-not-close-shared-connection-thoenig-01.patch:
  Do not close shared connection to the D-Bus system bus.
* Mon Oct 16 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Sun Oct 15 2006 - aj@suse.de
- Add -lz for hald-addon-macbookpro-backlight.
* Mon Oct 02 2006 - hmacht@suse.de
- rename hal-fix-cpufreq-policy.diff to
  hal-fix-power-privileges.diff: always allow root to use the
  cpufreq and sleep methods
* Wed Sep 27 2006 - dkukawka@suse.de
- updated to current git HEAD (0.5.8_git20060927)
  - should fix b.n.c #207607
* Tue Sep 19 2006 - dkukawka@suse.de
- updated to current git HEAD (next v0.5.8.1/0.5.9)
  - should fix bug b.n.c #206458, #202090 and maybe #206352
* Fri Sep 08 2006 - dkukawka@suse.de
- updated to current HAL release (v0.5.8)
  - including fixed b.n.o #203608
- updated patches:
  - merged hal-add-wacom_tabletPC*.diff to a new patch:
  hal-add-tabletPC_support.diff
- removed upstream gone patches:
  - hal-add-cpufreq_addon.diff
- added patches:
  - hal-fix-cpufreq-policy.diff: allow always also root to use
  the cpu freq interface <hmacht@suse.de>
* Wed Sep 06 2006 - seife@suse.de
- add hal-panasonic-acpi-suse.diff to match our pcc_acpi driver
* Tue Aug 22 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060822)
- updated patches:
  - hal-add-cpufreq_addon.diff (include upstream changes)
  - hal-performance-pci_ids_v2.patch
  - hal-fix-util_compute_time_remaining_warning_highTime.diff
  - hal-add-standby-support.diff
- removed upstream gone patches:
  - hal-cleanup-includes.diff
  - hal-fix-apm-poll_battery_reduce_events.diff (with changes every
  30 sec instead of every 60)
  - hal-fix-scsi.type.diff
* Wed Aug 16 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060816)
- added patches:
  - hal-fix-util_compute_time_remaining_warning_highTime.diff:
  patch to reduce flooding syslog with warnings about high
  remaining battery time.
  - hal-add-cpufreq_addon.diff: added patch from Holger Macht
  <hmacht@suse.de> to handle cpufreq via HAL (fixed some compiler
  wanings in the patch for x86_64)
  - hal-fix-scsi.type: fixed SUSE bug #160899, #199448 and updated
  mapping of SCSI type information from sysfs to scsi.type key
- removed patches:
  - hal-change_to_hashtables.patch --> removed testpatch from pkg
* Wed Aug 16 2006 - thoenig@suse.de
- BuildRequires (hal): replace dbus-1-devel by dbus-1-glib-devel
- BuildRequires (hal-devel): add dbus-1-glib-devel
* Thu Aug 10 2006 - thoenig@suse.de
- fix typo in rc.hal:  s/ceckproc/checkproc
* Mon Aug 07 2006 - dkukawka@suse.de
- disables following patches for STABLE/SL10.2Alpha3, they cause a
  segmenatation fault in the STABLE tree:
  - hal-performance-properties2.diff
  - hal-performance-properties_fix_compiler_warnings.diff
* Mon Aug 07 2006 - dkukawka@suse.de
- disabled SLE10 specific patch for DBUS
* Sun Aug 06 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060807)
  --> this should fix HAL crash if CD/DVD volume removed
- removed upstream gone patches:
  - hal-add-set_proc_title_to_addons.diff
  - hal-fix-compiler-warnings.diff
- added new patches:
  - hal-add-standby-support.diff: added support and methodes for
  standby (S1)
* Thu Aug 03 2006 - dkukawka@suse.de
- updated to upstream HAL git HEAD (v0.5.8_git20060803)
  --> take a look at the NEWS file and Changelog, way too many
  changes since last HAL version 0.5.6
  --> NOTE: hal requires now libvolume_id and PolicyKit
  --> updated rc script for service policykitd
- removed upstream gone patches:
  - hal-update-copyright_header.diff
  - hal-fix-mount_script_v4.diff
  - hal-change-scriptpath.diff
  - hal-fix-addon_acpi_dbus_error.diff
  - hal-fix-lshal_dbus_error.diff
  - hal-fix-mount_cleanup_mountpoints_v3.diff
  - hal-fix-mount_umount_only_by_hal_mounted_v2.diff
  - hal-fix-mount_options_noexec.diff
  - hal-fix-mount_script_fstab_check.diff
  - hal-fix-map_chassitype_to_formfactor_v2.diff
  - hal-fix-get_prober_serial.diff
  - hal-add-usb-music_players_to_fdi_v2.diff
  - hal-fix-apm_remaining_time.diff
  - hal-fix-nfs_stall_block_hald.diff
  - hal-fix-CD_DVD-capability.diff
  - hal-add-debug_to_syslog_probing_v2.diff
  - hal-fix-probe_smbios_parse_bug172204.diff
  - hal-fix_workaround_libhal-strage_get_volume_size.diff
  - hal-fix-memoryleak_libhal-storage_185032.diff
  - hal-fix-memoryleak_libhal-libhal-storage_187108.diff
- updated/ported patches to apply against git:
  - hal-add-wacom_tabletPC_setserial.diff
  - hal-performance-pci_ids_v2.patch (+fix for compiler warnings)
  - hal-performance-properties1.diff
  - hal-performance-properties2.diff
  - hal-fix-mount_options.diff
  - hal-fix-apm-poll_battery_reduce_events.diff
- new patches:
  - hal-performance-properties_fix_compiler_warnings.diff: fixed
  compiler warnings in hal-performance-properties*.diff
  - hal-fix-compiler-warnings.diff: fixed some compiler warnings
  (warn_unused_result and format issues)
  - hal-back_to_dbus_0.6.0.diff: only on SLE10 to aviod dbus update
* Mon Jul 17 2006 - dkukawka@suse.de
- fixed bugs:
  - bug #187012: fixed start() and stop() in rchal
- added patches:
  - hal-fix-memoryleak_libhal-libhal-storage_187108.diff: fixed
  bug #187108 to close an other memory leak in the libs related
  to usage of DBusError
  - hal-fix-mount_options_vfat.diff: fix bug #192993, add fmask and
  dmask to vfat mount options
* Sun Jun 18 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-memoryleak_libhal-storage_185032.diff: fixed bug
  [#185032] to close memory leaks in libhal-storage. Changed libhal
  *_free() functions to set pointer to NULL after freed the
  pointer.
* Mon Jun 12 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-umount-pcmcia_storage_devices.diff: fixed bug #181557
  fixed umount pcmcia storage devices if device is removed
  without user called umount
* Fri Jun 02 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-mount-umount_172870.diff: fixed bug #172870 to allow
  user umount floppy if in fstab
* Mon May 22 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-memoryleak_libhal-storage_backported_177427.diff: fix
  backported to close memory leak if use libhal-storage (see:
  bug #177427)
* Fri May 19 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_device_fstab_with_user_option_172870.diff: fix
  for bug #172870 to allow mount partitions which are in fstab
  with option user
  - hal-fix_workaround_libhal-strage_get_volume_size.diff: fix for
  bug #177078 to workaround devices which return wrong BLKSSZGET
  values. If now the value from (block_size * num_blocks) is
  bigger than the value from sysfs we use the sysfs value.
* Thu May 04 2006 - dkukawka@suse.de
- added patches:
  - hal-add-debug_to_syslog_probing_v2.diff: add debug to syslog
  for prober and addons for better debugging and maintenance
  - hal-fix-probe_smbios_parse_bug172204.diff: fix bug #172204
  replaced sizeof(char *) with strlen(char *)
- updated patches:
  - hal-add-wacom_tabletPC.diff: fixed compiler warning
* Wed May 03 2006 - dkukawka@suse.de
- removed and merged patches:
  - merged system.formfactor patches together to:
  hal-fix-map_chassitype_to_formfactor_v2.diff
- added patches:
  - hal-fix-int-size-for-alignment-error-01.patch: fix for #146237
  - hal-fix-mount_on_dev_wo_media_check_support.diff:
  fix for #164327
* Wed May 03 2006 - thoenig@suse.de
- fix detection for system.formfactor (b.n.c #169161)
* Wed May 03 2006 - olh@suse.de
- add hal-vio-bus.patch to allow CD/DVD install
  handle bustype vio as found in IBM iSeries and pSeries LPAR
  (167629 / 163971 - LTC21953 / 167137 - LTC23229)
* Tue Apr 25 2006 - dkukawka@suse.de
- activated patch:
  - hal-performance-properties2.diff: only for SLES/SLED 10
* Sat Apr 15 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-CD_DVD-capability.diff: fixed detection of CD/DVD
  drive capabilities, added support for DVD+RW DL, fixed detect
  DVD-RW (see bug #167101)
  - hal-performance-properties2.diff: added patch from Ihno
  Krumreich for a better performance (~30%%) by use splay_tree
  from gcc (see bug #146977) --> patch is in the source but not
  in the package atm, need more testing.
  - hal-fix-apm-poll_battery_reduce_events.diff: fixed apm battery
  polling, now emit remainig time only ever minute instead
  with each change every two seconds. This should reduce load
  on the dbus-daemon with (k)powersave (see bug #157905)
* Wed Apr 05 2006 - dkukawka@suse.de
- moved addons and prober to %%_libexecdir/hal
- fixed patch:
  - hal-fix-storage-policy-fixed-drives.diff: added to Makefile.am
  see bug #155682
- added patches:
  - hal-fix-mount-sanitze-mountpoint.diff: fix from lnussel for
  bug #157626
* Mon Mar 27 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_159475.diff: see bug #159475
  - hal-fix-pcmcia_storage.diff: backported from CVS HEAD, fix
  RH bug #185557
- updated patches:
  - hal-fix-mount_script_v4.diff: fixed typo
* Wed Mar 22 2006 - kukuk@suse.de
- Remove not needed pciutils from BuildRequires
* Mon Mar 20 2006 - dkukawka@suse.de
- added patches:
  - hal-add-wacom_tabletPC_setserial.diff: added fdi and callout
  to set the serial port for (wacom) tablet devices on TabletPCs
- updated patches:
  - hal-fix-mount_cleanup_mountpoints_v3.diff: fixed whitespaces
  see bug #158579
* Mon Mar 13 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-nfs_stall_block_hald.diff: don't stat nfs mounts to
  avoid hang up on stale nfs mounts.
  - hal-performance-properties.diff: patch from Ihno Krumreich for
  better performance releated to get/read properties (+ ~30%%)
- updated patches:
  - hal-add-usb-music_players_to_fdi_v2.diff: added some more
  USB music player
* Wed Mar 08 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-storage-policy-fixed-drives.diff: patch from RedHat to
  fix g-v-m to ignore fixed disks (see bug #154381)
  - hal-add-usb-music_players_to_fdi.diff: added several new usb
  mp3 player to fdi-file for better support in Banshee backported
  from HAL CVS HEAD
  - hal-fix-apm_remaining_time.diff: remove remaining_time
  property if value is <=0 as like as on ACPI
* Thu Mar 02 2006 - seife@suse.de
- move acpid from "Required-Start" to "Should-Start" in rc.hal
  APM machines can live well without acpid.
* Tue Feb 28 2006 - dkukawka@suse.de
- updated/fixed patches:
  - hal-add-wacom_tabletPC.diff: fixed problems with detect
  Fujitsu Serial Tablet on FSC P1510 and ST502x)
* Mon Feb 27 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-get_prober_serial.diff: allow call serial prober only
  for ttyS* devices (see bugs #146152, #148862)
- updated/fixed patches:
  - hal-fix-cleanup_mountpoints_v2.diff: fixed #148647 for 64bit
  - hal-fix-umount_only_by_hal_mounted_v2.diff: related to
  changes for cleanup mount points
* Mon Feb 20 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_script_fstab_check.diff: from Ludwig Nussel to
  check fstab, fix bug #147302
  - hal-fix-udev-clean_buffer.diff: backported from HEAD to clean
  the buffer for udev (see bug #151756)
* Fri Feb 17 2006 - dkukawka@suse.de
- added patches:
  * hal-change_to_hashtables.patch: experimental and not correct
  patch for testing (see bug #146977). Patch is not included
  in the rpm, only in the source.
* Tue Feb 14 2006 - aj@suse.de
- Reduce BuildRequires.
* Mon Feb 13 2006 - dkukawka@suse.de
- added patches:
  * hal-performance-pci_ids.patch: patch from Ihno Krumreich for
  better performance with read pci ids.
  * hal-fix-mount_options_noexec.diff: removed noexec hardcoded
  option from script (see bug #150172)
* Sun Feb 12 2006 - dkukawka@suse.de
- added patches:
  * hal-fix-map_chassitype_to_formfactor.diff: fix set property
  system.formfactor from smbios, see bug #149976
* Fri Feb 10 2006 - dkukawka@suse.de
- added patches:
  * hal-fix-cleanup_mountpoints.diff: added call cleanup script
  before create new mount points to prevent not used and new
  created mountpoints (bug #148647)
  * hal-fix-umount_only_by_hal_mounted.diff: from cvs-head,
  allow only umount volumes, mounted via HAL (bug #147302)
- updated patches:
  * hal-add-wacom_tabletPC.diff: added new Tablet PCs to the list
  (Fujitsu Serial Tablet and Wacom device with FSC pnp-id from
  FSC Stylistic ST502x)
* Sat Feb 04 2006 - dkukawka@suse.de
- added patches:
  * hal-change-scriptpath.diff: to change the scipt dir to more
  FHS consistent dir/path $LIBDIR
  * hal-fix-addon_acpi_dbus_error.diff: to prevent dbus error
  messages if a error was returned, free the error befor reuse
  see bug #146498
  * hal-fix-lshal_dbus_error.diff: see addon-acpi fix and #145387
* Fri Feb 03 2006 - dkukawka@suse.de
- added patch to add pseudo devices to hal to debug/test bug
  [#146977] (from Kay Sievers)
- fixed bug #147978: updated to hal-fix-mount_script_v4.diff
* Thu Feb 02 2006 - dkukawka@suse.de
- fixed bugs:
  - #145147: hal-fix-SG_IO_bug145147.diff
  - #145146: changed version-release check from spec file to
  version check
  - #145851: hal-fix-mount_script_v3.diff (added 'flush' to vfat
  and 'data=' to ext3 allowed mount options)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dkukawka@suse.de
- fixed patch for the mount script
* Mon Jan 23 2006 - dkukawka@suse.de
- fixed bug #141228 with patch from Kay Sievers to add scsi.type,
  scsi.vendor and scsi.model (hal-add-scsi-type.diff)
* Thu Jan 19 2006 - meissner@suse.de
- use -fstack-protector.
* Tue Jan 17 2006 - dkukawka@suse.de
  * updated to new release 0.5.6, for changes see Changelog of the
  package (note: this is the same as the upcomming official
  release excluding the NEWS file)
  * removed upstream gone patches:
  - hal-fix-compiler_warn_unused_result.diff
  * removed no longer needed patch:
  - hal-dbus.conf_deny_ShutdownReboot.diff (but we need a way to
  respect settings of KDM/GDM under GNOME)
  * updated patches:
  - hal-update-copyright_header.diff (partly commited)
* Tue Jan 10 2006 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20060110), for changes see
  Changelog of the package
  * with this version fixed bugs:
  - #141228 added generic scsi devices to hal, by Kay Sievers
  * added patches:
  - hal-fix-compiler_warn_unused_result.diff
  * removed upstream gone patches:
  - hal-fix-mount_script_dryrun.diff
  - hal-fix_broken_TEAC_CD-R55S.diff
  - hal-fix-TYPE_RBC_fd.o_bug5158.diff
  - hal-lshal-add_error_message.diff
  - hal-lshal-remove_unneeded_code.diff
  - hal-fix-acpi_battery_capacity_state.diff
* Tue Dec 20 2005 - ro@suse.de
- remove unpackaged symlink from buildroot
* Wed Dec 14 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051214), for changes see
  Changelog of the package
  * added patch(es):
  - hal-dbus.conf_deny_ShutdownReboot.diff (deny access to HAL
  methodes Shutdown and Reboot)
  - hal-fix-mount_script_dryrun.diff (remove nonsense)
  * removed upstream gone patches:
  - hal-fix-fdi_make_dist.diff
* Mon Dec 12 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051212), for changes see
  Changelog of the package
  * added patche(s):
  - hal-fix-mount_script_v2.diff
  - hal-fix-fdi_make_dist.diff (fix make distcheck, directly
  included in the src)
* Fri Dec 09 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051209), for changes see
  Changelog of the package
  * added patch(es):
  - hal-lshal-add_error_message.diff
  - hal-lshal-remove_unneeded_code.diff
  - hal-update-copyright_header.diff
* Mon Dec 05 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051205), for changes see
  Changelog of the package
  * added patch(es):
  - hal-fix-acpi_battery_capacity_state.diff (fix missing battery
  property and fix hal spec)
  * removed upstream gone patches:
  - hal-fix_hal-device-manager.diff
  - hal-fix_mount_point_for_dvdrecorder.diff
  - hal-fix_tools_scripts.diff
  - hal-fix_tools_scripts_path.diff
  * changed permissions of the hal-udev rule to 644
* Tue Nov 29 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051129), for changes see
  Changelog of the package
  * added patches:
  - hal-fix-TYPE_RBC_fd.o_bug5158.diff (add TYPE_RBC from kernel
  2.6.14 as disk)
  - hal-fix_broken_TEAC_CD-R55S.diff
  * added udev rule for connect HAL via socket instead of fork HAL
  helper
* Wed Nov 23 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051121), for changes see
  Changelog of the package
  * updated patches:
  - hal-make-cdroms_USBFloppy-mountable_v2.diff (fix the matches
  and prevent mountpoint idedisk for cdrom's)
  * added patches:
  - hal-fix_hal-device-manager.diff (to install hal-device-manager
  only one time)
  - hal-fix_mount_point_for_dvdrecorder.diff (fix mount points for
  dvd recorder)
  - hal-fix_tools_scripts.diff (added checks for environment
  variables and fix some error messages)
  - hal-fix_tools_scripts_path.diff (move scripts to
  $datadir/hal/scripts to remove the from root-user PATH)
* Sun Nov 13 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051113), for changes see
  Changelog of the package
  * removed upstream gone patches:
  - hal-fix-addon_acpi_for_acpid.diff
* Fri Nov 04 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051104), for changes see
  Changelog of the package
  * removed upstream gone patches:
  - hal-add_version_option.diff
  - hal-eject-button-02.patch (from Kay Sievers)
  - hal-fix-logger_for_daemon.diff
  - hal-workaround_is_mounted.diff
  * updated patches:
  - hal-fix-addon_acpi_for_acpid.diff
  * fixed bug #132279: add policy keys to handle USB floppy drives
  (hal-make-cdroms_USBFloppy-mountable.diff)
  * removed selinux support, because we don't need this atm
* Wed Oct 26 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051025) and changed
  version format to VERSION_CVS_YYYYMMDD --> should prevent
  conflicts with other versions
  * added patches:
  - hal-workaround_is_mounted.diff (to fix problems with detect
  mount status from /proc/mounts with voluntary preemption)
  - hal-fix-logger_for_daemon.diff (added commandline option to
  log to syslog instead of stderr to enable logging if HAL runs
  as daemon)
  - hal-add_version_option.diff (added --version to hald)
  - hal-eject-button-02.patch (from Kay Sievers: add signal if
  CD/DVD-Drive eject button is pressed)
  * removed upstream gone patches:
  - hal-add-update_pnp_ids.diff
  - hal-fix-configure_libusb.diff
  - hal-fix-seqfault_if_addon_missing.diff
  - hal-fix-remove_blacklisted_HL-DT-STCD-RW.diff
  - hal-fix-is_laptop_and_APM.diff (fixed APM and set depending
  on ACPI/APM battery and/or ACPI LID system.formfactor to
  laptop, see bug #128072)
* Thu Oct 20 2005 - dkukawka@suse.de
  * added patches:
  - updated PNP ID list (hal-add-update_pnp_ids.diff)
  - removed PNP ID list changes in hal-add-wacom_tabletPC.diff
  - added info about libusb support for addon-usb-csr to display
  whether the addon is compiled (hal-fix-configure_libusb.diff)
  * added *.la files to devel package, because of warnings
* Wed Oct 19 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_19102005)
  * added patches:
  - fixed bug #128696: fixed segfault if a called addon is missing
  (hal-fix-seqfault_if_addon_missing.diff)
  - fixed bug #127965: removed deprecated blacklist entry
  (hal-fix-remove_blacklisted_HL-DT-STCD-RW.diff)
  - fixed reconnect to acpid-socket if acpid is not running on
  startup of hald-acpi-addon (hal-fix-addon_acpi_for_acpid.diff)
  * fixed bug #118712 in hal init script: removed cron from
  'Required-Start:'
  * removed upstream gone patches:
  - hal-acpi_reconnect.diff
  - hal-fix-storage.policy_for_musicplayers.diff
  - hal-fixes_backported_from_HEAD.diff
  - hal-fix-acpi_reconnect.diff
* Thu Oct 13 2005 - dkukawka@suse.de
- fix for bug #121913
  * added libusb and resmgr to needforbuild to build the missing
  hald-addon-usb-csr in the package
* Tue Oct 11 2005 - dkukawka@suse.de
- fixed bug #117964
  * changed check for failed read, now all events are forward to
  HAL daemon
  * changed time to wait for retry connect to acpid from 1 to 3
  seconds
* Sun Sep 18 2005 - kukuk@suse.de
- Remove unused libcap from nfb
* Mon Sep 12 2005 - dkukawka@suse.de
- addon-acpi.c: changed code to remove backward goto jump
- added acpid to Required-Start in the rc script to be sure that
  acpid is running and to prevent races (related to #116445)
* Mon Sep 12 2005 - thoenig@suse.de
- addon-acpi.c now reconnects to acpid if acpid gets restarted
  (closes #116445)
- addon-acpi.c now bails out if /proc/acpi is missing at all
* Tue Sep 06 2005 - dkukawka@suse.de
- fixed return values for rchal start to be LSB conform (#115385)
* Fri Sep 02 2005 - dkukawka@suse.de
- fixed bug #113966
  * added patch hal-fix-storage.policy_for_musicplayers.diff to
  remove storage policy breaking and useless keys from fdi file.
- added new archive with:
  * new translation files
  * fixed Makefile to add 15-storage-luks.fdi to the package with
  'make dist'
- backported some litte fixes from HEAD:
  *  Fix up a bug where the script for a method call returns
  garbage and we pass that to dbus_message_new_error which then
  fails.
  *  Fix is needed to get a correct ccwgroup.lcs.portnumber
  property, since the underlying portno sysfs attribute is
  decimal, not binary. Patch from Cornelia Huck
  <cohuck@de.ibm.com>.
  *  some documentation fixes
* Fri Sep 02 2005 - ro@suse.de
- Provide hotplugctl as well to really fix (#112953)
* Sun Aug 28 2005 - ro@suse.de
- Obsolete hotplugctl [#112953] (Again!)
* Fri Aug 26 2005 - dkukawka@suse.de
  * updated to current release 0.5.4, Released August 26, 2005
  for more information about changes, read News file
- removed upstream gone patches:
  - hal-fix-callouts-01_kay.diff
  - hal-fix-invalid_utf8_volume_label.diff
* Fri Aug 26 2005 - dkukawka@suse.de
- fixed bug #105914:
  * patch from Kay Sievers: With this patch HAL skips failing
  callouts in the execution list instead of waiting in the
  mainloop to be killed
* Thu Aug 25 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-input-joystick.diff
  * hal-fix-hybrid_CDs.diff
  * hal-add-advanced_medium_detect-spec.diff
  * hal-fix-usb_pda_palm_hotsync_t5m130VisorClieSJ22.diff
- removed patches:
  * hal-fix-ACPI_seqfault.diff
  * hal-add-advanced_medium_detect.diff
- fixed bug #105445:
  * added patch (hal-fix-invalid_utf8_volume_label.diff) to check
  and fix utf8 invalid volume label names
- updated translation files
* Mon Aug 22 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-usb_pda_palm_hotsync.diff
  * hal-fix-util.c_percentage.diff
  * hal-fix-configure_for_translations.diff
- added patches:
  * hal-fix-ACPI_seqfault.diff
  * hal-add-advanced_medium_detect.diff (patch from ervin@kde.org
  and fixed/reworked by dkukawka@suse.de)
* Sat Aug 20 2005 - dkukawka@suse.de
- added patch:
  - hal-fix-hybrid_CDs.diff (fix for bug #105643)
* Sat Aug 20 2005 - dkukawka@suse.de
  * updated to current cvs version (pre0.5.4)
- added patches:
  - hal-fix-usb_pda_palm_hotsync.diff (bug #104426)
  - hal-fix-util.c_percentage.diff
  - hal-fix-configure_for_translations.diff (fix to get all
  localisations in the rpm)
- fixed bug #105285 removed /etc/dev/* from spec file
* Sat Aug 13 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
  - changes:
  * sync volume_id with the udev version (by Kay Sievers)
* Thu Aug 11 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-poll_bat.last.full.diff
  * hal-fix-normalise_last_full.diff
  * hal-fix-remove_battery.diff
  * hal-fix-normalise_with_unknown_values.diff
  * hal-fix-key_if_battery_isfull_v3.diff
  * hal-fix-udi_for_volumelabel.diff
- removed patches where an other solution upstream added:
  * hal-add-addon_acpi_options_v2.diff
  * hal-suse-only_use_acpid.diff
- added new patche (pushed upstream):
  * hal-add-wacom_tabletPC.diff for Tablet PC (Wacom based) support
- remove /etc/hotplug,d/* udev rule since /etc/hotplug,d/ is
  'dead'
- changed from /etc/init.d/hal to /etc/init.d/haldaemon to be
  LSB conform in the future since haldeamon is requested name for
  LSB init script at lanana.org
* Thu Aug 11 2005 - dkukakwa@suse.de
- added patches to fixed bug #103787:
  * hal-fix-poll_bat.last.full.diff
  * hal-fix-normalise_last_full.diff
  * hal-fix-remove_battery.diff
  * hal-fix-normalise_with_unknown_values.diff
- added other patches:
  * hal-fix-udi_for_volumelabel.diff
* Fri Aug 05 2005 - dkukawka@suse.de
- updated to current cvs version (pre0.5.4)
  - removed patches (gone upstream):
    - hal-add-ALSA_OSS_devices.diff
* Wed Aug 03 2005 - dkukawka@suse.de
  updated to cvs version (pre0.5.4)
- added new patch:
  - hal-add-addon_acpi_options_v2.diff (out of tree)
  - hal-suse-only_use_acpid.diff (now HAL use only acpid)
  - hal-fix-input-joystick.diff (fix wrong detection
  of joysticks as input.tablet instead of input.joystick)
- reworked hal-add-ALSA_OSS_devices.diff:
  - added ALSA global sequencer device
- removed patches (gone upstream):
  - hal-fix_prevent_wrong_UDI.diff
  - hal-DVD+R_DL.diff
  - hal-acpi_battery.diff
  - hal-fix-DVD+R_rewriteable.diff
  - hal-fix-FSF_address.diff
  - hal-fix-LibHalContext.diff
  - hal-fix-UDI_for_empty_CD-DVD.diff
  - hal-fix-cleanup_warnings.diff
  - hal-fix-doxygen_code_doc_NULL.diff
  - hal-fix_typo_for_translation.diff
  - hal-make-cdroms-mountable.diff
- removed broken patch:
  - hal-add_lsb_release_v1.diffi (bug #100097)
- removed befor backported patches:
  - hal-deviceManager-fix-autorefresh.diff
  - hal-fix-linux_types.diff
* Sat Jul 30 2005 - dkukawka@suse.de
- reworked hal-add-ALSA_OSS_devices.diff, set timer and sequencer
  as global devices without a physical ALSA/OSS device
- fixed bug #99168 for ppc
- added new patches:
  - hal-fix-FSF_address.diff
  - hal-fix_typo_for_translation.diff
  - hal-fix-UDI_for_empty_CD-DVD.diff
  - hal-fix_prevent_wrong_UDI.diff
- added patches from cvs and ML:
  - hal-deviceManager-fix-autorefresh.diff
  - hal-add_lsb_release_v1.diff (to provide LSB info, reworked)
- merged compiler warning pathes
* Wed Jul 27 2005 - dkukawka@suse.de
- changed OSS devices from alsa.* keys to oss.* keys and fixed
  sound_compute_udi() to generate udi's also for OSS devices
* Tue Jul 26 2005 - dkukawka@suse.de
- added patch from David Zeuthen to add alsa.device_file for alsa
  and oss devices and merged this with patch for 'ALSA OSS Device
  detection'
* Mon Jul 25 2005 - dkukawka@suse.de
- added patch to build on x86_64 (to fix "previous declaration of
  'int64_t'")
* Sat Jul 23 2005 - dkukawka@suse.de
- added ALSA OSS Device detection to hal (see bug #87152)
* Fri Jul 22 2005 - dkukawka@suse.de
- fixed libhal/libhal-storage to prevent seg-faults if call a
  function with param LibHalContext *ctx == 0/NULL
- fixed some compiler warnings
- fixed DVD+R and DVD+R DL rewritable detection/key to FALSE
- added patch to allow mount CD/DVD volumes through callout
  hald-block-subfs
* Sun Jul 17 2005 - dkukawka@suse.de
- added --retain-privileges to rc.hal to run hal full as root
- added fix for more information about ACPI batteries
- added fix to dectect DVD+R Dual Layer write support (patch is
  upstream in the next version)
* Wed Jul 13 2005 - thoenig@suse.de
- HAL 0.5.3
- new binary `hal-find-by-capability`
- Removed patches:
  * hal-device-manager-fix-empty-properties.diff (fixed upstream)
  * hal-makefile-fix-doc-path.diff (replaced by --with-doc-dir)
  * hal-addon_storage_execl.diff (fixed upstream)
  * hal-device.dif (fixed upstream)
  * hal-no_pgoff_t.diff (obsolete)
  * hal-utils_64bit.diff (obsolete)
- Upstream changes:
  * hal-find-by-capability and hal-find-by-property tools
  * Fix some of the bugs from johnp's port of h-d-m
  * Trigger rescan of ACPI objects when receiving events
  * Fix key for storage.cdrom.dvdram
  * Don't use sync as part of the normal mount option policy
  * Update fstab-sync man page
  * Fix a bug in hal_property_new_string
  * Fix --help output
  * Detect DVD+R DL media
  * Add empty Solaris backend and fix build for Solaris
  * Support various S390 devices
  * Prepare hald to work with newer udev versions
  * Unify various error handling functions
  * Add infrastructure + tools to populate the hal db
  * Fixup MMC storage cards drive type on MMC bus
  * Handle case where the battery life is degrading
  * Make libhal_ctx_init() fail if hald is not running
  * New translations: nb, es
* Fri Jul 01 2005 - snwint@suse.de
- implement libhal_agent_* api (to create & remove devices)
- added small tool using the above (hal-device)
* Wed May 18 2005 - schwab@suse.de
- Fix spelling in Short-Description in rc file.
* Fri May 13 2005 - dkukawka@suse.de
- update to new version 0.5.2
* Thu Apr 28 2005 - dkukawka@suse.de
- update to new version 0.5.1
* Thu Apr 21 2005 - dkukawka@suse.de
- changed Short-Description in rc file (bug #79284)
* Wed Apr 20 2005 - thoenig@suse.de
- HAL 0.5.0 (in combination with D-BUS 0.33 because of D-BUS ABI
  changes)
- spec file cleanup
- added patches:
  * hal-addon_storage_execl.diff (added NULL as last argument)
  * hal-utils_64bit.diff (cast to compile clean on 64bit)
- updated patches:
  * hal-no_pgoff_t.diff: added more  pgoff_t  defines
- removed patches:
  * hal-makefile-fix-pycompile.diff (obsolete)
  * hal-makefile-fix-libsysfs_fromsystem.diff
  * hal-hald-fix-errormessage_kernelmodule.diff
  * hal-hald-workaround_init_d-bus.diff
  * hal-gphoto.diff
  * hal-addon_ipod-fdipolicy.diff
  * hal-duplicated_devices.diff (already upstream)
  * hal-memory_leak_fix.diff (already upstream)
  * hal-make-cdroms-mountable.diff
  * hal-fix-floppy-sysfs-path.diff
  * hal-make-floppys-mountable.diff
  * hal-disable-sata-cdrom-polling.diff (obsolete)
  * hal-sata_support.diff
- updated list of authors in pdb
* Tue Apr 19 2005 - ro@suse.de
- help configure trying to find BLKGETSIZE64
* Wed Mar 23 2005 - thoenig@suse.de
- added SATA support (closes #74318)
- disable media polling for SATA CDROMs (closes #74318)
* Tue Mar 22 2005 - adrian@suse.de
- report floppy drives as mounted (done via subfs)
* Tue Mar 22 2005 - adrian@suse.de
- fix floppy support, sysfs path has been changed from "floppy0"
  to "floppy.0"
* Thu Mar 17 2005 - thoenig@suse.de
- fixed patch 'hal-make-cdroms-mountable.diff' (see #73029) to
  achieve the desired behavior.
* Wed Mar 16 2005 - adrian@suse.de
- add should_mount properties for disc medias and use their label
  (#73029)
* Tue Mar 15 2005 - thoenig@suse.de
- improved 'hal-duplicated_devices.diff' to detect duplicated
  devices at a earlier stage.
- added 'hal-memory_leak_fix.diff' to prevent memory leaks.  This
  patch is taken from hal 0.5 branch:
  http://cvs.freedesktop.org/hal/hal/hald/device_info.c?rev=1.26&view=log
* Mon Mar 14 2005 - ro@suse.de
- change dbus dependency (dbus, not rcdbus)
- fix init script name rchal -> hal
* Mon Mar 14 2005 - thoenig@suse.de
- added 'hal-duplicated_devices.diff' which prevents hald to add
  devices into its device store twice (closes #66641)
- renamed filenames of patches which previously contained captial
  letters
- changed init order for hal/dbus/resmgr
* Mon Mar 14 2005 - dkukawka@suse.de
- removed hal from boot and added to runlevel 3 and 5
- changed boot.hal to rchal
* Mon Mar 14 2005 - hvogel@suse.de
- remove hfplus part from the ipod fdi. submount knows about
  hfsplus now.
* Thu Mar 10 2005 - dkukawka@suse.de
- added ipod fdi file see bug #71986
* Thu Mar 10 2005 - danny@suse.de
- fixed bug #71880, added specs to doc section of hal.rpm
* Wed Mar 09 2005 - dkukawka@suse.de
- moved docfiles from /usr/share/doc/packages/hal-%%{VERSION}/ to
  /usr/share/doc/packages/hal/
- fixed bug #71728
* Thu Mar 03 2005 - dkukawka@suse.de
- fixed boot.hal [see bug# 65775]
* Mon Feb 28 2005 - adrian@suse.de
- start after resmgr daemon
* Tue Feb 22 2005 - dkukawka@suse.de
- added python-gtk and python-gnome to 'Requires:' for hal-gnome
* Fri Feb 18 2005 - meissner@suse.de
- Fix up libgphoto2 map handling. still not fully correct, since
  it does not handle class based cameras (0x6 usb class aka PTP).
- removed -fno-strict-aliasing, not necessary.
- devel packages do not need ldconfig (just .so links in it).
* Thu Feb 10 2005 - dkukawka@suse.de
- workaround in haldaemon, now hald wait max. 2.5 sec for D-BUS
* Fri Feb 04 2005 - ro@suse.de
- added dbus-1-glib to neededforbuild
* Thu Feb 03 2005 - ro@suse.de
- use common macros in pre/post scripts
* Fri Jan 28 2005 - dkukawka@suse.de
- removed --enable-verbose-mode from configure
* Fri Jan 28 2005 - dkukawka@suse.de
- removed load module capability from boot.hal since hal run as
  root process (module is only needed if hal run as haldaemon)
* Fri Jan 28 2005 - dkukawka@suse.de
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereq
- removed fstab-sync from configure
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- removed --drop-privileges from  startscript. HAL now run as root
  process
* Tue Jan 25 2005 - dkukawka@suse.de
- update to new stable version [0.4.7]
  changelog
  - Add support for PCMCIA cards if they are in sysfs (on 2.6.10-ish
  kernels)
  - Don't attempt to access page 0x80 on USB Storage Devices as the
  resulting INQUIRY crashes quite a few devices
  - Fix reporting of USB interface class
  - Make hald not crash if sysfs files are writable but not readable
  - Small h-d-m fix (Sjoerd Simons)
  - Fix a bug in libhal-storage where mount options were merged even
  though they were set to FALSE.
* Tue Jan 25 2005 - dkukawka@suse.de
- load kernelmodule 'capability' at start in boot.hal
- added fix for errormessage if 'capability' isn't available in
  the kernel
* Sat Jan 22 2005 - dkukawka@suse.de
- update to new stable version [0.4.6]
  changelog:
  - Fix strange crasher in libsysfs on certain ppc platforms
  - Update local libsysfs copy to 1.2.0
  - Add compile time option to use 2.6.10 link detection features
  rather than talking directly to the mii registers
  - Fix off by one in VFAT label probing (Kay Sievers)
  - Skip NTFS signed volume and label probing fixes (Kay Sievers)
  - Use mount option iocharset=utf8 for vfat volumes
- change Makefile to use local libsysfs
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new stable version [0.4.5] (for more info read Changelog
  of the src)
- changed position in /etc/rc.d/boot.d/, now hal start depending
  on boot.localnet and boot.dbus (this is a workaround to the
  /var/run - cleanup is moved from boot.localnet to boot.localfs)
* Thu Jan 13 2005 - dkukawka@suse.de
- changed startposition of hal during the boot process, hal starts
  now depending on boot.dbus and boot.localfs
* Tue Jan 11 2005 - dkukawka@suse.de
- fixed rc.hal
* Tue Jan 11 2005 - dkukawka@suse.de
- update to new stable version [0.4.4] (for more info read Changelog
  in the src)
* Mon Dec 20 2004 - dkukawka@suse.de
- fixed Bug #49410 in rc.hal and the spec-file
* Fri Dec 10 2004 - hare@suse.de
- Fixed hal-display-manager to not crash if no properties
  have been received.
* Thu Dec 02 2004 - dkukawka@suse.de
- update to new version [0.4.2] with this changes from David
  Zeuthen <david@fubar.dk>:
  - add blacklist for not polling certain IDE slave drives as that
  decreases performance
  - Support for Linux kernels 2.6.10-rc2 and onwards
  - Only lazy unmount devices if {storage.volume}.policy.should_mount is
  TRUE - e.g. don't lazy unmount devices we don't care about
  - Support for IDE Zip and Jaz drives (treated as floppy drives)
  - Various fdi-parsing enhancements
  - Don't add 'ro' to optical drives as it prevents DVD-RAM usage
  - Support 256 partitions instead of only 16
  - small h-d-m UI bugfix (Sjoerd Simons)
  - small h-d-m UI bugfix (Bryan Clark)
* Sun Nov 14 2004 - dkukawka@suse.de
- initial package
